### Enumeration

# Gdk NotifyType

since: 4.0

#### Declaration

    enum Gdk.NotifyType

#### Description [src]

Specifies the kind of crossing for enter and leave events.

See the X11 protocol specification of LeaveNotify for full details of crossing event generation.

Available since: 4.0

#### Members

`GDK_NOTIFY_ANCESTOR`

  The surface is entered from an ancestor or left towards an ancestor.

  - Value: `0`
  - Nickname: `ancestor`
  - Available since: 4.0
`GDK_NOTIFY_VIRTUAL`

  The pointer moves between an ancestor and an inferior of the surface.

  - Value: `1`
  - Nickname: `virtual`
  - Available since: 4.0
`GDK_NOTIFY_INFERIOR`

  The surface is entered from an inferior or left towards an inferior.

  - Value: `2`
  - Nickname: `inferior`
  - Available since: 4.0
`GDK_NOTIFY_NONLINEAR`

  The surface is entered from or left towards a surface which is neither an ancestor nor an inferior.

  - Value: `3`
  - Nickname: `nonlinear`
  - Available since: 4.0
`GDK_NOTIFY_NONLINEAR_VIRTUAL`

  The pointer moves between two surfaces which are not ancestors of each other and the surface is part of the ancestor chain between one of these surfaces and their least common ancestor.

  - Value: `4`
  - Nickname: `nonlinear-virtual`
  - Available since: 4.0
`GDK_NOTIFY_UNKNOWN`

  An unknown type of enter/leave event occurred.

  - Value: `5`
  - Nickname: `unknown`
  - Available since: 4.0